package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.model.hmc.sdk.common.ResponseBase;

import java.util.List;

/**
 * HMC控制台管理的所有系统信息(V8)
 *
 * @author sxp
 * @since May 7, 2018
 */
public class ManagedSystemResponse extends ResponseBase {
    private String xmlns;
    private List<ManagedSystemEntry> entries;

    public ManagedSystemResponse() {
    }

    public String getXmlns() {
        return xmlns;
    }

    public void setXmlns(String xmlns) {
        this.xmlns = xmlns;
    }

    @Override
    public String getId() {
        return id;
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }

    @Override
    public String getUpdated() {
        return updated;
    }

    @Override
    public void setUpdated(String updated) {
        this.updated = updated;
    }

    @Override
    public List<Link> getLink() {
        return link;
    }

    @Override
    public void setLink(List<Link> link) {
        this.link = link;
    }

    @Override
    public String getGenerator() {
        return generator;
    }

    @Override
    public void setGenerator(String generator) {
        this.generator = generator;
    }

    public List<ManagedSystemEntry> getEntries() {
        return entries;
    }

    public void setEntries(List<ManagedSystemEntry> entries) {
        this.entries = entries;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
